View Issue Details

IDProjectCategoryView StatusLast Update
0002932unrealircdpublic2011-12-25 14:03
Reportertherock247ukAssigned Tosyzop 
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
Platformi386OSWindowsOS VersionXP SP2
Product Version3.2.4 
Target Version3.3-alpha0Fixed in Version3.2.8 
Summary0002932: Local opers can /chghost /chgident /chgname on someone thats on another server on the network
DescriptionI think this should be made so that only Local Operators can change these for a user on there server not others...
Steps To ReproduceLocal Operator doing /chghost /chgident /chgname to someone on another server on the network
TagsNo tags attached.
3rd party modules

Activities

Trocotronic

2006-05-29 14:12

reporter   ~0011785

The first problem I occur is that will be one user with two different realnames or two different hosts! (impossible). The users in one server will see you with a host and the users from other server will se you with another host.

syzop

2006-05-29 14:42

administrator   ~0011786

Last edited: 2006-05-29 14:42

I'm presuming he doesn't mean not propogating the changes, but rather means, do not allow non-local targets for /chg* if the oper executing the command is a local oper. Of course, if the target is local, then the change needs to be propogated ;p.

I think your request makes sense, therock247uk. Local opers are supposed not to be able to touch remote users.

RandomNumber

2006-05-29 17:21

reporter   ~0011788

I second that makes sense

WolfSage

2007-04-15 23:31

reporter   ~0013430

Last edited: 2007-04-18 19:53

Should probably be fixed for 3.3 release. I'll see if I can nab it some time this week.

Edit: s/week/month.

2007-04-20 21:37

 

locop.patch (2,147 bytes)

WolfSage

2007-04-20 21:37

reporter   ~0013620

Patch uploaded. That _should_ take care of it.

stskeeps

2007-04-24 03:05

reporter   ~0013642

Patched in .2361

syzop

2011-07-19 14:02

administrator   ~0016703

needs to be re-ported / has patch, for next release (3.2.10) & dev 3.3

syzop

2011-12-25 14:03

administrator   ~0016831

Fixed in an earlier version.

Issue History

Date Modified Username Field Change
2006-05-29 13:56 therock247uk New Issue
2006-05-29 14:12 Trocotronic Note Added: 0011785
2006-05-29 14:42 syzop Note Added: 0011786
2006-05-29 14:42 syzop Note Edited: 0011786
2006-05-29 17:21 RandomNumber Note Added: 0011788
2007-04-15 23:31 WolfSage Note Added: 0013430
2007-04-16 10:51 stskeeps Status new => acknowledged
2007-04-18 07:03 stskeeps Note View State: 11785: private
2007-04-18 07:03 stskeeps Note View State: 11785: public
2007-04-18 19:53 WolfSage Note Edited: 0013430
2007-04-20 21:37 WolfSage File Added: locop.patch
2007-04-20 21:37 WolfSage Note Added: 0013620
2007-04-21 03:10 stskeeps Status acknowledged => confirmed
2007-04-24 03:05 stskeeps Status confirmed => resolved
2007-04-24 03:05 stskeeps Fixed in Version => 3.3-alpha0
2007-04-24 03:05 stskeeps Resolution open => fixed
2007-04-24 03:05 stskeeps Assigned To => stskeeps
2007-04-24 03:05 stskeeps Note Added: 0013642
2011-07-19 14:02 syzop Note Added: 0016703
2011-07-19 14:02 syzop Assigned To stskeeps =>
2011-07-19 14:02 syzop Status resolved => has patch
2011-07-19 14:02 syzop Fixed in Version 3.3-alpha0 =>
2011-07-19 17:11 syzop Target Version => 3.3-alpha0
2011-12-25 14:03 syzop Note Added: 0016831
2011-12-25 14:03 syzop Status has patch => resolved
2011-12-25 14:03 syzop Fixed in Version => 3.2.8
2011-12-25 14:03 syzop Assigned To => syzop